Bug 994610 - (kdesdk-thumbnailers) Review Request: kdesdk-thumbnailers - Thumbnailers for KDE
Review Request: kdesdk-thumbnailers - Thumbnailers for KDE
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Bříza
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2013-08-07 11:27 EDT by Jan Grulich
Modified: 2013-08-22 08:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-22 08:39:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mbriza: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jan Grulich 2013-08-07 11:27:58 EDT
Spec URL: http://jgrulich.fedorapeople.org/kdesdk-thumbnailers.spec
SRPM URL: http://jgrulich.fedorapeople.org/kdesdk-thumbnailers-4.10.97-1.fc19.src.rpm
Description: Thumbnailers for KDE, including gnu gettext po translation files and
gettext translation templates
Fedora Account System Username: jgrulich

Successful build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5790149

This package was previously part of kdesdk. Now it's distributed separately in KDE 4.11.
Comment 1 Martin Bříza 2013-08-21 09:26:21 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- update-desktop-database is invoked when required
  Note: desktop file(s) in kdesdk-thumbnailers
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
- Package installs a %{name}.desktop using desktop-file-install if there is
  such a file.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#desktop


===== MUST items =====

C/C++:
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[ ]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[ ]: Package complies to the Packaging Guidelines
[ ]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL", "Unknown or generated". 1 files have unknown license. Detailed
     output of licensecheck in /home/mbriza/994610-kdesdk-
     thumbnailers/licensecheck.txt
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Useful -debuginfo package or justification otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: kdesdk-thumbnailers-4.10.97-1.fc20.x86_64.rpm
kdesdk-thumbnailers.x86_64: W: spelling-error %description -l en_US gettext -> get text, get-text, Georgette
kdesdk-thumbnailers.x86_64: W: spelling-error %description -l en_US po -> PO, pew, op
kdesdk-thumbnailers.x86_64: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint kdesdk-thumbnailers
kdesdk-thumbnailers.x86_64: W: spelling-error %description -l en_US gettext -> get text, get-text, Georgette
kdesdk-thumbnailers.x86_64: W: spelling-error %description -l en_US po -> PO, pew, op
kdesdk-thumbnailers.x86_64: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
kdesdk-thumbnailers (rpmlib, GLIBC filtered):
    /bin/sh
    libQtCore.so.4()(64bit)
    libQtDBus.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libQtSvg.so.4()(64bit)
    libQtXml.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgettextpo.so.0()(64bit)
    libkdecore.so.5()(64bit)
    libkdeui.so.5()(64bit)
    libkio.so.5()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)



Provides
--------
kdesdk-thumbnailers:
    kde-thumbnailer-po
    kdesdk-thumbnailers
    kdesdk-thumbnailers(x86-64)



Unversioned so-files
--------------------
kdesdk-thumbnailers: /usr/lib64/kde4/pothumbnail.so

Source checksums
----------------
http://download.kde.org/unstable/4.10.97/src/kdesdk-thumbnailers-4.10.97.tar.xz :
  CHECKSUM(SHA256) this package     : 3fbe9879bfec7ff05eee0719cf59bd761eb5c79cabe4cce594481352ff64c91c
  CHECKSUM(SHA256) upstream package : 3fbe9879bfec7ff05eee0719cf59bd761eb5c79cabe4cce594481352ff64c91c


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 994610 -m fedora-rawhide-x86_64
Comment 2 Martin Bříza 2013-08-21 09:28:41 EDT
> Issues:
> =======
> - update-desktop-database is invoked when required
>   Note: desktop file(s) in kdesdk-thumbnailers
>   See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
> - Package installs a %{name}.desktop using desktop-file-install if there is
>   such a file.
>   See: http://fedoraproject.org/wiki/Packaging/Guidelines#desktop

Not important for KDE packages.

> Rpmlint
> ...

invalid except for:

> kdesdk-thumbnailers.x86_64: W: no-documentation

Please add %doc COPYING
Comment 3 Jan Grulich 2013-08-21 13:57:27 EDT
Updated:

Spec URL: http://jgrulich.fedorapeople.org/kdesdk-thumbnailers.spec
SRPM URL: http://jgrulich.fedorapeople.org/kdesdk-thumbnailers-4.10.97-1.fc19.src.rpm

Better url, added missing license file.
Comment 4 Martin Bříza 2013-08-22 06:31:34 EDT
Ok, thanks, approved.
Comment 5 Jan Grulich 2013-08-22 07:09:35 EDT
New Package SCM Request
=======================
Package Name: kdesdk-thumbnailers
Short Description: Thumbnailers for KDE
Owners: than rdieter kkofler ltinkl jgrulich mbriza
Branches: f18 f19 f20
InitialCC:
Comment 6 Gwyn Ciesla 2013-08-22 08:17:45 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.